'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AUTH_CHANGED = exports.AUTH_FAILURE = exports.AUTH_INIT = exports.SIGNOUT = exports.SIGNIN_WITH_GITHUB = exports.SIGNIN_WITH_TWITTER = exports.SIGNIN_WITH_FACEBOOK = exports.SIGNIN_WITH_GOOGLE = exports.SIGNIN_ANONYMOUSLY = exports.SIGNIN_WITH_EMAIL_AND_PASSWORD = exports.CREATE_USER_WITH_EMAIL_AND_PASSWORD = undefined;

var _constants = require('../constants');

var CREATE_USER_WITH_EMAIL_AND_PASSWORD = exports.CREATE_USER_WITH_EMAIL_AND_PASSWORD = _constants.ACTION_PREFIX + 'CREATE_USER_WITH_EMAIL_AND_PASSWORD';

var SIGNIN_WITH_EMAIL_AND_PASSWORD = exports.SIGNIN_WITH_EMAIL_AND_PASSWORD = _constants.ACTION_PREFIX + 'SIGNIN_WITH_EMAIL_AND_PASSWORD';
var SIGNIN_ANONYMOUSLY = exports.SIGNIN_ANONYMOUSLY = _constants.ACTION_PREFIX + 'SIGNIN_ANONYMOUSLY';
var SIGNIN_WITH_GOOGLE = exports.SIGNIN_WITH_GOOGLE = _constants.ACTION_PREFIX + 'SIGNIN_WITH_GOOGLE';
var SIGNIN_WITH_FACEBOOK = exports.SIGNIN_WITH_FACEBOOK = _constants.ACTION_PREFIX + 'SIGNIN_WITH_FACEBOOK';
var SIGNIN_WITH_TWITTER = exports.SIGNIN_WITH_TWITTER = _constants.ACTION_PREFIX + 'SIGNIN_WITH_TWITTER';
var SIGNIN_WITH_GITHUB = exports.SIGNIN_WITH_GITHUB = _constants.ACTION_PREFIX + 'SIGNIN_WITH_GITHUB';

var SIGNOUT = exports.SIGNOUT = _constants.ACTION_PREFIX + 'SIGNOUT';

var AUTH_INIT = exports.AUTH_INIT = _constants.ACTION_PREFIX + 'AUTH_INIT';
var AUTH_FAILURE = exports.AUTH_FAILURE = _constants.ACTION_PREFIX + 'AUTH_FAILURE';
var AUTH_CHANGED = exports.AUTH_CHANGED = _constants.ACTION_PREFIX + 'AUTH_CHANGED';

exports.default = {
  AUTH_INIT: AUTH_INIT,
  CREATE_USER_WITH_EMAIL_AND_PASSWORD: CREATE_USER_WITH_EMAIL_AND_PASSWORD,
  SIGNIN_WITH_EMAIL_AND_PASSWORD: SIGNIN_WITH_EMAIL_AND_PASSWORD,
  SIGNIN_ANONYMOUSLY: SIGNIN_ANONYMOUSLY,
  SIGNIN_WITH_GOOGLE: SIGNIN_WITH_GOOGLE,
  SIGNIN_WITH_FACEBOOK: SIGNIN_WITH_FACEBOOK,
  SIGNIN_WITH_TWITTER: SIGNIN_WITH_TWITTER,
  SIGNIN_WITH_GITHUB: SIGNIN_WITH_GITHUB,
  SIGNOUT: SIGNOUT,
  AUTH_FAILURE: AUTH_FAILURE,
  AUTH_CHANGED: AUTH_CHANGED
};