'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Constants.
 * @module constants
 */
var ACTION_PREFIX = exports.ACTION_PREFIX = '@@firebase-sagas/';

var eventTypes = exports.eventTypes = {
  VALUE: 'value',
  CHILD_ADDED: 'child_added',
  CHILD_REMOVED: 'child_removed',
  CHILD_CHANGED: 'child_changed',
  CHILD_MOVED: 'child_moved'
};

var signInMethods = exports.signInMethods = {
  EMAIL_AND_PASSWORD: 'signInWithEmailAndPassword',
  ANONYMOUSLY: 'signInAnonymously',
  GOOGLE: 'signInWithGoogle',
  FACEBOOK: 'signInWithFacebook',
  TWITTER: 'signInWithTwitter',
  GITHUB: 'signInWithGithub'
};

exports.default = {
  ACTION_PREFIX: ACTION_PREFIX,
  eventTypes: eventTypes,
  signInMethods: signInMethods
};